<section class="hm2-pricing-section " id="pricing">
	<div class="container position-relative zindex-1">
		<div class="hm2-pricing-tab text-center mt-4">
			<?php 
			$cats       = array_column( $p2_tables, 'tab_title' );
			$getCats    = array_unique( $cats );
			$tab_data   = return_tab_data( $getCats , $p2_tables, 'tab_title' );
			?>
			<ul class="nav nav-tabs justify-content-center bg-white deep-shadow">
				 <?php
				if ( is_array( $p2_tables ) && count( $p2_tables ) > 0 ){
					$tabs   = '';
					$i      = 1;
					foreach ( $getCats as $cat ){
						$catForFilter = sanitize_title_with_dashes( $cat );
						$catForFilter = str_replace( '-', '', $catForFilter );
						$active = $i==1 ? ' active' : '';
						echo '<li><button class="tab_btn'. esc_attr( $active ) .'" data-bs-toggle="tab" data-bs-target="#tab_'.esc_attr( $catForFilter ).'">'. esc_html( $cat ) .'</button></li>';
						$i++;
					}
				} ?>
			</ul>
			<div class="tab-content text-start mt-50">
				<?php
				if ( !empty( $tab_data ) ){
					$i = 0;
					foreach ($tab_data as $key => $val) {
						$tagforfilter = sanitize_title_with_dashes($key);
						$catForFilter = str_replace( '-', '', $tagforfilter );
						$i++;
						$active = $i == 1 ? ' show active' : '';
						?>
						<div class="tab-pane fade <?php echo esc_attr( $active ) ?>" id="tab_<?php echo esc_attr($catForFilter); ?>">
							<div class="row g-4 justify-content-center">
								<?php
								foreach ( $val as $data ) { 
									$is_popular = $data['p2_is_popular'] == 'yes' ? 'popular_baged' : '';
									?>
									<div class="col-lg-4 col-md-6 col-sm-12">
										<div class="hm2-pricing-single position-relative bg-white deep-shadow rounded-5 <?php echo esc_attr($is_popular) ?>">
											<?php 
											if( !empty( $data['ragular_price'] && $data['sale_price'] ) ){
												$percentage = round(100 - ($data['sale_price'] / $data['ragular_price'] * 100)) . '%';
												echo '<div class="pricing-badge position-absolute rounded"><span>'. esc_html__('Save ', 'hostim-core') . esc_html( $percentage ) .'</span></div>';
											}

											if( $data['p2_is_popular'] == 'yes' ){
												echo '<div class="popular-badge position-absolute"><span>Most Popular</span></div>';
											}
											
											if( !empty( $data['p2_package_icon']['url'] ) ){
												echo '<span class="icon-wrapper"><img src="'. esc_url( $data['p2_package_icon']['url'] ) .'" alt="Package image" class="img-fluid"></span>';
											}

											if( !empty( $data['p2_plan_title'] ) ) {
												echo '<h3 class="h5 mt-3">'. esc_html( $data['p2_plan_title'] ) .'</h3>';
											}

											if( !empty( $data['ragular_price'] || $data['sale_price'] ) ){ ?>
												<div class="pricing-amount d-flex justify-content-between mt-3 mb-4">
													<?php
													if( !empty( $data['sale_price'] ) ){
														echo '<h4 class="h2 price-title mb-0">'. $data['p2_currency']. $data['sale_price'] .'<span>'. $data['p2_period'] .'</span></h4>';
													} 
													if( !empty( $data['ragular_price'] ) ){
														if( empty( $data['sale_price'] ) ){
															echo '<h4 class="h2 price-title mb-0">'. $data['p2_currency']. $data['ragular_price'] . '<span>' . $data['p2_period'] . '</span></h4>';
														}
														else{
															echo '<h6 class="pricing-deleted align-self-end position-relative">'. $data['p2_currency']. $data['ragular_price'] .'</h6>';
														}
													} 
													
													?>
												</div>
												<?php
											}

											if( !empty( $data['p2_plan_desc'] ) ){
												echo '<p>'. hostim_kses_post( $data['p2_plan_desc'] ) .'</p>';
											}

											$table_contents = preg_split( '/\r\n|[\r\n]/', $data['p2_list_items'] );
											if( !empty( $table_contents ) ){
												echo '<ul class="pricing-feature-list mt-4 mb-40">';
												foreach( $table_contents as $item ){
													echo '<li>'. esc_html( $item ) .'</li>';
												}
												echo '</ul>';
											}

											$btn_class = $data['p2_is_popular'] == 'yes' ? 'primary-btn' : 'outline-primary';
											if( $data['p2_purchase_btn_label'] ){
												echo '<a href="'. esc_url( $data['p2_purchase_btn_url']['url'] ) .'" class="template-btn text-center w-100 rounded-pill '. esc_attr( $btn_class ) .'">'. esc_html( $data['p2_purchase_btn_label'] ) .'</a>';
											}
											?>
										</div>
									</div>
									<?php 
								} ?>
							</div>
						</div>

						<?php
					}
				} ?>

			</div>
		</div>
	</div>
</section>