<div class="services-bottom mt-40">
    <div class="row g-4 justify-content-center">
        <?php
        $paged      = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
        $args       = array(
            'post_type'      => 'services',
            'paged'          => $paged,
            'order'          => $settings['order'],
            'orderby'        => $settings['order_by'],
            'posts_per_page' => $settings['posts_per_page'],
        );
        $hostim_service = new \WP_Query( $args );

        if ( $hostim_service->have_posts() ) {
            while ( $hostim_service->have_posts() ) {
                $hostim_service->the_post();
                $meta = get_post_meta( get_the_ID(), 'hostim_service_options', true );
                ?>
                <div class="col-lg-4 col-md-6">
                    <div class="service-card deep-shadow rounded-5">
                        <div class="icon-wrapper">
                            <?php 
                            if( $meta['service_feature_img']['id'] ){
                                echo wp_get_attachment_image( $meta['service_feature_img']['id'], 'full' );
                            }
                            ?>
                        </div>
                        <div class="card-content">
                            <a href="<?php the_permalink() ?>">
                                <h3 class="h4 mb-4"><?php the_title(); ?></h3>
                            </a>
                            <?php 
                            if( !empty( $meta['service_short_desc'] ) ){
                                echo '<p class="mb-4">'. hostim_kses_post( $meta['service_short_desc'] ) .'</p>';
                            }
                            if( !empty( $meta['service_monthly_price'] ) ){
                                echo '<a href="'. get_the_permalink( get_the_ID() ) .'">'.esc_html($service_btn_label . $currency . $meta['service_monthly_price'] ) .'/mo<i class="fa-solid fa-arrow-right"></i></a>';
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <?php
            }
            wp_reset_postdata();
        }
        ?>
    </div>
</div>